<?php

// File Security Check
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// theme version
if(! defined('AZZLE_THEME_VERSION') ){
    define('AZZLE_THEME_VERSION', wp_get_theme()->get('Version'));
} 

// Define the DHRUBOK Folder
if( ! defined( 'AZZLE_DIR' ) ) {
	define('AZZLE_DIR', get_template_directory() );
}

// Define the DHRUBOK Partials Folder
if( ! defined( 'AZZLE_PARTIALS_DIR' ) ) {
	define('AZZLE_PARTIALS_DIR', trailingslashit( AZZLE_DIR ) . 'partials' );
}

// Define the Inc Folder of the DHRUBOK Directory
if( ! defined( 'AZZLE_ASSETS_DIR' ) ) {
	define('AZZLE_ASSETS_DIR', trailingslashit( AZZLE_DIR ) . 'assets' );
}


// Define the Inc Folder of the DHRUBOK Directory
if( ! defined( 'AZZLE_INC_DIR' ) ) {
	define('AZZLE_INC_DIR', trailingslashit( AZZLE_DIR ) . 'inc' );
}

// Define the Inc Folder of the DHRUBOK Directory
if( ! defined( 'AZZLE_FRAMEWORK_DIR' ) ) {
	define('AZZLE_FRAMEWORK_DIR', trailingslashit( AZZLE_INC_DIR ) . 'framework' );
}

// Define the Libs Folder of the DHRUBOK Directory
if( ! defined( 'AZZLE_LIBS_DIR' ) ) {
	define('AZZLE_LIBS_DIR', trailingslashit( AZZLE_DIR ) . 'libs' );
}

// Define the Shortcodes Folder of the DHRUBOK Directory
if( ! defined( 'AZZLE_SHORTCODES_DIR' ) ) {
	define('AZZLE_SHORTCODES_DIR', trailingslashit( AZZLE_INC_DIR ) . 'shortcodes' );
}

// Define the Classes Folder of the DHRUBOK Directory
if( ! defined( 'AZZLE_CLASSES_DIR' ) ) {
	define('AZZLE_CLASSES_DIR', trailingslashit( AZZLE_INC_DIR ) . 'classes' );
}

// Define the Widgets Folder of the DHRUBOK Directory
if( ! defined( 'AZZLE_WIDGETS_DIR' ) ) {
	define('AZZLE_WIDGETS_DIR', trailingslashit( AZZLE_INC_DIR ) . 'widgets' );
}


// Define the PLUGINS Folder of the DHRUBOK Directory
if( ! defined( 'AZZLE_INC_PLUGINS_DIR' ) ) {
	define('AZZLE_INC_PLUGINS_DIR', trailingslashit( AZZLE_INC_DIR ) . 'plugins' );
}
