<?php

/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package azzle
 */
use AzzleTheme\Inc\Classes\Azzle_Main;

get_header();

$azzleObj = new Azzle_Main();
echo esc_html($azzleObj->azzle_breadcrumb_bridge());

$azzle = get_option('azzle');
$grid = (isset($azzle['blog_grid'])) ? $azzle['blog_grid'] : 'two-column';

?>

<div class="content-block">
	<div class="container">
		<div class="row blog-content-row">

			<?php
			// If Redux Framework Active
			if (class_exists('ReduxFrameworkPlugin')) :
				$azzleObj->postMarkupGenerator($azzle['blog_layout'], $grid);

			else : // If Redux Framework Is Not Active

				$azzleObj->postMarkupGenerator(null, $grid);

			endif;

			?>

		</div>
	</div>
</div>


<?php
get_footer();
